Bug 7106 - Native-gdb script fails (Diablo Armel, Ubuntu 9.10)
: Native-gdb script fails (Diablo Armel, Ubuntu 9.10)
Status: RESOLVED WONTFIX
Product: Development platform
Tools
: 4.1.2 (5.2008.43-7)
: N810 Maemo
: Low normal (vote)
: ---
Assigned To: integration
: sdk-tools-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-12-18 13:20 UTC by ilja.pyykkonen
Modified: 2010-03-11 15:09 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description ilja.pyykkonen (reporter) 2009-12-18 13:20:47 UTC
SOFTWARE VERSION:
Ubuntu 9.10, Scratchbox, Diablo Armel target

EXACT STEPS LEADING TO PROBLEM: 
0. Installed Ubuntu 9.10 (Karmic), Scratchbox and Diablo Armel target
1. [sbox-DIABLO_ARMEL: ~] > native-gdb --version

EXPECTED OUTCOME:
GNU gdb 6.8-debian
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "arm-linux-gnueabi".

ACTUAL OUTCOME:
[sbox-DIABLO_ARMEL: ~] > native-gdb --version
/usr/bin/gdb: relocation error: /usr/bin/gdb: symbol __sigsetjmp, version
GLIBC_2.4 not defined in file libc.so.6 with link time reference

or

[sbox-DIABLO_ARMEL: ~] > native-gdb --version
qemu: uncaught target signal 11 (Segmentation fault) - exiting

REPRODUCIBILITY:
Only Diablo Armel target. 9/10

EXTRA SOFTWARE INSTALLED:
maemo-debug-scripts & maemo-c-debug-tools

OTHER COMMENTS:
Virtual Machine. Fails with Ubuntu 9.10 (Karmic) under VirtualBox and VmWare.
(No possibility to test native)
Comment 1 Andre Klapper maemo.org 2009-12-18 15:51:20 UTC
This is unlikely to receive a fix if it does not also happen on Fremantle
(which is not the case).
Comment 2 Andre Klapper maemo.org 2010-03-11 15:09:07 UTC
WONTFIX.
Feel free to reopen if this also happens for Maemo5.